summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Damian Perticone2022-07-02 03:18:55 +0200
committer Willy Sudiarto Raharjo2022-07-02 04:55:35 +0200
commit550c539f6130f8b5a56666bcb4d3a137d975160e (patch)
treeda1cfec4a3e8be5a25ad4acf1cd8b05e06f0dc58
parent75e1c63a5d52ef93215043f3b8a8d08c4262d02b (diff)
downloadslackbuilds-550c539f6130f8b5a56666bcb4d3a137d975160e.tar.gz
desktop/hikari: Added (stacking Wayland compositor)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/hikari/README29
-rw-r--r--desktop/hikari/doinst.sh3
-rw-r--r--desktop/hikari/hikari.SlackBuild117
-rw-r--r--desktop/hikari/hikari.info10
-rw-r--r--desktop/hikari/slack-desc19
-rw-r--r--desktop/hikari/xwayland.patch11
6 files changed, 189 insertions, 0 deletions
diff --git a/desktop/hikari/README b/desktop/hikari/README
new file mode 100644
index 0000000000..ff658d5c1e
--- /dev/null
+++ b/desktop/hikari/README
@@ -0,0 +1,29 @@
+Hikari [ja. Light] is a stacking Wayland compositor which is actively
+developed on FreeBSD but also supports Linux.
+
+Features:
+
+•Minimalistic Look & Feel
+•Stacking/Tiling hybrid view management
+•Configurable tiling capability
+•Modal interface
+•Arbitrary view grouping
+•View marks
+•Keyboard oriented
+•UCL configuration
+
+Protocols
+hikari is based on wlroots and has optional support for some of its
+protocols which are needed for certain programs to run.
+
+•layer-shell (waybar, slurp, wshowkeys)
+•screencopy (grim, wf-recorder)
+•gamma-control (redshift)
+•virtual-input (wayvnc)
+
+for configuration see the man page or visit the web page.
+
+Suggestion: before lauching edit /etc/hikari.conf and at terminal =
+"$TERMINAL" change to the terminal you use, example:
+actions {
+ terminal = alacritty
diff --git a/desktop/hikari/doinst.sh b/desktop/hikari/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/hikari/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/hikari/hikari.SlackBuild b/desktop/hikari/hikari.SlackBuild
new file mode 100644
index 0000000000..8c80346ac6
--- /dev/null
+++ b/desktop/hikari/hikari.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for hikari
+
+# Copyright 2022, Damian Perticone, Berisso, Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=hikari
+VERSION=${VERSION:-2.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#xwayland patch
+patch -p1 <$CWD/xwayland.patch
+
+ bmake \
+ WITH_POSIX_C_SOURCE=YES \
+ PREFIX=/usr \
+ ETC_PREFIX=/ \
+ WITH_POSIX_C_SOURCE=YES \
+ WITH_XWAYLAND=YES \
+ WITH_SCREENCOPY=YES \
+ WITH_GAMMACONTROL=YES \
+ WITH_LAYERSHELL=YES \
+ WITH_VIRTUAL_INPUT=YES
+ bmake install DESTDIR=$PKG PREFIX=/usr ETC_PREFIX=/ WITHOUT_SUID=YES
+
+mkdir -p $PKG/usr/man/man1
+cp -a $PKG/usr/share/man/man1/hikari.1 $PKG/usr/man/man1
+rm -rf $PKG/usr/share/man
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/hikari/hikari.info b/desktop/hikari/hikari.info
new file mode 100644
index 0000000000..09c06d36e1
--- /dev/null
+++ b/desktop/hikari/hikari.info
@@ -0,0 +1,10 @@
+PRGNAM="hikari"
+VERSION="2.3.3"
+HOMEPAGE="https://hikari.acmelabs.space/"
+DOWNLOAD="https://hikari.acmelabs.space/releases/hikari-2.3.3.tar.gz"
+MD5SUM="851caa376cf7702c0bccd39e27a974bc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="bmake wlroots libucl"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"
diff --git a/desktop/hikari/slack-desc b/desktop/hikari/slack-desc
new file mode 100644
index 0000000000..1aa988d102
--- /dev/null
+++ b/desktop/hikari/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hikari: hikari (stacking Wayland compositor)
+hikari:
+hikari: Hikari is a minimalistic wayland window manager based on wlroots
+hikari: inspired by the simplicity of CWM in the X days.
+hikari:
+hikari:
+hikari:
+hikari:
+hikari:
+hikari: Home: https://hikari.acmelabs.space/
+hikari:
diff --git a/desktop/hikari/xwayland.patch b/desktop/hikari/xwayland.patch
new file mode 100644
index 0000000000..68c1941079
--- /dev/null
+++ b/desktop/hikari/xwayland.patch
@@ -0,0 +1,11 @@
+--- hikari-2.3.3/src/xwayland_view.c
++++ hikari-2.3.3_1/src/xwayland_view.c
+@@ -304,6 +304,7 @@
+ struct wlr_xwayland_surface *xwayland_surface = xwayland_view->surface;
+
+ wlr_xwayland_surface_activate(xwayland_surface, active);
++ wlr_xwayland_surface_restack(xwayland_surface, NULL, XCB_STACK_MODE_ABOVE);
+ wlr_xwayland_set_seat(hikari_server.xwayland, hikari_server.seat);
+ }
+
+